Obtener un pago
get/v1/payments/{id}
Request
BASH
curl https://api.cauril.com/v1/payments/<id> \
-H "Authorization: Bearer sk_test_..."Parámetros
| idpathreq | string | |
| expandquery | string | Campos a expandir. attempts incluye los intentos por PSP. |
Respuestas
Ejemplo de respuesta · 200
JSON
{
"object": "payment",
"id": "pay_01J...",
"status": "created",
"amount": 5000,
"amount_refunded": 5000,
"currency": "USD",
"provider": "stripe",
"provider_payment_id": null,
"payment_method": {
"type": "card",
"token": "string",
"brand": "visa",
"last4": "4242"
},
"customer_id": null,
"description": null,
"metadata": {},
"next_action": {
"type": "redirect",
"url": "string"
},
"failure": {
"code": "card_declined",
"message": "string"
},
"attempts": [
{
"object": "payment_attempt",
"id": "string",
"provider": "string",
"status": "string",
"provider_payment_id": null,
"error_code": null,
"latency_ms": null,
"created_at": "2026-06-01T12:00:00Z"
}
],
"created_at": "2026-06-01T12:00:00Z",
"updated_at": "2026-06-01T12:00:00Z",
"livemode": true
}